JacocoReportsContainer (Gradle API 8.11)

Package org.gradle.testing.jacoco.tasks

## Interface JacocoReportsContainer

- All Superinterfaces:
    `java.util.Collection<ConfigurableReport>`, `Configurable<ReportContainer<ConfigurableReport>>`, `DomainObjectCollection<ConfigurableReport>`, `DomainObjectSet<ConfigurableReport>`, `java.lang.Iterable<ConfigurableReport>`, `NamedDomainObjectCollection<ConfigurableReport>`, `NamedDomainObjectSet<ConfigurableReport>`, `ReportContainer<ConfigurableReport>`, `java.util.Set<ConfigurableReport>`

      public interface JacocoReportsContainer
      extends ReportContainer<ConfigurableReport>

  The reporting configuration for the `JacocoReport` task.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.reporting.ReportContainer

      `ReportContainer.ImmutableViolationException`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SingleFileReport` | `getCsv()` | The JaCoCo (single file) CSV report
    `DirectoryReport` | `getHtml()` | The JaCoCo HTML report
    `SingleFileReport` | `getXml()` | The JaCoCo (single file) XML report

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface org.gradle.util.Configurable

      `configure`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `addAllLater, addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAt, getByName, getByName, getByName, getCollectionSchema, named, named, named, named`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, named, withType`

    - ### Methods inherited from interface org.gradle.api.reporting.ReportContainer

      `getAsMap, getEnabled, getEnabledReports, getNamer, getNames, getRules, isEmpty`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

- - ### Method Detail

    - #### getHtml

          @Internal
          DirectoryReport getHtml()

      The JaCoCo HTML report
      Returns:
        The JaCoCo HTML report

    - #### getXml

          @Internal
          SingleFileReport getXml()

      The JaCoCo (single file) XML report
      Returns:
        The JaCoCo (single file) XML report

    - #### getCsv

          @Internal
          SingleFileReport getCsv()

      The JaCoCo (single file) CSV report
      Returns:
        The JaCoCo (single file) CSV report